# USB configuration set

An action block that sets the current USB configuration, e.g. to use MTP or PTP.

The fiber will proceed immediately without pause.

An alternative to this block is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `svc usb setFunctions <midi|mtp|ptp|rndis>`

Note! This feature isn’t officially supported, requires the privileged service, may not work on all devices.

## Input arguments

- Configuration — configuration to set, default is No data transfer.